TARGET  = hdf5_hl

TEMPLATE     = lib
LANGUAGE     = C++
DESTDIR      = ../../../../RadarVolumeExplorer/lib
CONFIG      += rtti staticlib

INCLUDEPATH += ../../src

#
# remove version suffix
#
VERSION =

win32 {
	LIBS +=  
	INCLUDEPATH += 
	DEFINES += _SCL_SECURE_NO_WARNINGS WIN32 _LIB
}
		
HEADERS += \
      H5DSprivate.h   \
      H5DSpublic.h    \
      H5HLprivate2.h  \
      H5IMprivate.h   \
      H5IMpublic.h    \
      H5LTparse.h     \
      H5LTprivate.h   \
      H5LTpublic.h    \
      H5PTprivate.h   \
      H5PTpublic.h    \
      H5TBprivate.h   \
      H5TBpublic.h    \
      hdf5_hl.h       \


SOURCES += \
      H5DS.c          \
      H5IM.c          \
      H5LT.c          \
      H5LTanalyze.c   \
      H5LTparse.c     \
      H5PT.c          \
      H5TB.c          \

win32 {
      INCLUDEPATH += ../../windows/src
}
